import React, {
  useState,
  useEffect,
} from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/Josh-Zalcman/afd741cfb9871644174af171381221cc/raw/f459936e14b412d7340d3109a32fee377a0150cd/historical_launches.csv';

export const useHistoricalLaunchData = () => {
  const [launchData, setLaunchData] = useState(
    null
  );

  useEffect(() => {
    const row = (d) => {
      d.lat = +d.lat;
      d.lng = +d.lng;
      d['Date'] = new Date(d['Date']);
      return d;
    };
    csv(csvUrl, row).then(setLaunchData);
  }, []);
  return launchData;
};
